DNSCRYPT-WRAPPER(8)

NAME
dnscrypt-wrapper - A server-side DNSCrypt proxy that adds DNSCrypt support to any name resolver.

SYNOPSIS
dnscrypt-wrapper [options]

DESCRIPTION

-h, --help
    show this help message and exit

-d, --daemonize
    run as daemon (default: off)

--cert-file-expire-days=<int>
    cert file expire days (default: 365)

--crypt-secretkey-file=<str>
    crypt secret key file (default: ./crypt_secret.key)

--gen-cert-file
    generate pre-signed certificate

--gen-crypt-keypair
    generate crypt key pair

--gen-provider-keypair
    generate provider key pair

-a, --listen-address=<str>
    local address to listen (default: 0.0.0.0:53)

-l, --logfile=<str>
    log file path (default: stdout)

-p, --pidfile=<str>
    pid stored file

--provider-cert-file=<str>
    certificate file (default: ./dnscrypt.cert)

--provider-name=<str>
    provider name

--provider-publickey-file=<str>
    provider public key file (default: ./public.key)

--provider-secretkey-file=<str>
    provider secret key file (default: ./secret.key)

-r, --resolver-address=<str>
    upstream dns resolver server (<address:port>)

-U, --unauthenticated
    allow and forward unauthenticated queries (default: off)

-u, --user=<str>
    run as given user

-V, --verbose
    show verbose logs (specify more -VVV to increase verbosity)

-v, --version
    show version info